# $Revision: 1.156 $, $Date: 2008/11/10 11:07:32 $
Summary:	Sound player with the WinAmp GUI, for Unix-based systems
Summary(es.UTF-8):	Editor de sonido con GUI semejante al de WinAmp
Summary(ja.UTF-8):	XMMS - X Window System上で動作するマルチメディアプレーヤー
Summary(ko.UTF-8):	Unix 베이스 시스템을 위한 winamp 모양의 음악 연주기
Summary(pl.UTF-8):	Odtwarzacz dźwięku z interfejsem WinAmpa
Summary(pt_BR.UTF-8):	Tocador de som com GUI semelhante ao do WinAmp
Summary(ru.UTF-8):	Проигрыватель музыки с WinAmp GUI
Summary(uk.UTF-8):	Програвач музики з WinAmp GUI
Summary(zh_CN.UTF-8):	XMMS - X 端多媒体播放器
Name:		xmms
Version:	1.2.11
Release:	3
Epoch:		2
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://www.xmms.org/files/1.2.x/%{name}-%{version}.tar.bz2
# Source0-md5:	f3e6dbaf0b3f571a532ab575656be506
Source1:	%{name}-icons.tar.gz
# Source1-md5:	14fc5a0bb3679daf1c3900e3a30674e9
Source2:	%{name}-skins.tar.bz2
# Source2-md5:	39d6de4bf2c37c17b868df3596871c59
Source3:	%{name}.desktop
Source4:	wm%{name}.desktop
Source5:	%{name}-gnome-mime-info
Source6:	%{name}.png
Patch0:		%{name}-warn_about_unplayables.patch
Patch1:		%{name}-gcc4.patch
#Patch1:		%{name}-gtk2.patch
URL:		http://www.xmms.org/
BuildRequires:	OpenGL-devel
BuildRequires:	alsa-lib-devel >= 0.9.5
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	gettext-devel
BuildRequires:	libmikmod-devel > 3.1.7
BuildRequires:	libogg-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	libxml-devel >= 1.7.0
BuildRequires:	perl-base
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	zlib-devel
BuildRequires:	gtk+-devel >= 1.2.2
Requires:	glib >= 1.2.2
Requires:	gtk+ >= 1.2.2
Requires:	xmms-output-plugin
Suggests:	xmms-input-FMRadio
Suggests:	xmms-input-cdaudio
Suggests:	xmms-input-faad2
Suggests:	xmms-input-flac
Suggests:	xmms-input-midi
Suggests:	xmms-input-mikmod
Suggests:	xmms-input-musepack
Suggests:	xmms-input-mpg123
Suggests:	xmms-input-sap
Suggests:	xmms-input-shn
Suggests:	xmms-input-smpeg
Suggests:	xmms-input-sndfile
Suggests:	xmms-input-uade
Suggests:	xmms-input-vorbis
Suggests:	xmms-input-wav
Obsoletes:	x11amp
Obsoletes:	xmms-gnome
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp
GUI, it can use WinAmp skins, and play MP3s, mods, s3ms, and other
formats. It now has support for input, output, and general plugins,
and has also been GPL'd.

%description -l es.UTF-8
Editor de sonido con GUI semejante al de WinAmp.

%description -l pl.UTF-8
XMMS jest odtwarzaczem dźwięku napisanym od zera. Jako że wykorzystuje
interfejs WinAmpa, może również używać jego 'skórek'. Odtwarza pliki w
formatach MP3, mod, s3m i wielu innych. Teraz obsługuje także pluginy
do wejścia, wyjścia oraz ogólne; został także zGPL-izowany.

%description -l pt_BR.UTF-8
XMMS é um sound player escrito a partir do zero. Como ele utiliza a
interface do WinAmp, ele pode utilizar "skins" do WinAmp, e tocar
arquivos .MP3, .mod, .s3m, e outros formatos. Agora ele suporta
plugins de entrada, saída e outros plugins de uso geral, e sua licença
se tornou GPL.

%description -l ru.UTF-8
XMMS - проигрыватель музыки с графическим интерфейсом, напоминающим
интерфейс WinAmp. Он может использовать "скины" WinAmp, проигрывать
MP3, mod, s3m и другие форматы. Теперь он поддерживает подключаемые
модули для обработки ввода, вывода, общего назначения и визуализации.

%description -l uk.UTF-8
XMMS - програвач музики з графічним інтерфейсом, що нагадує інтерфейс
WinAmp. Він може використовувати" скіни" WinAmp, програвати MP3, mod,
s3m та інші формати. Тепер він підтримує під'єднувані модулі обробки
вводу, виводу, модулі загального призначення та візуалізації.

%package wm
Summary:	XMMS applet for WindowMaker
Summary(pl.UTF-8):	Aplet XMMS dla WindowMakera
Group:		X11/Applications/Sound
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description wm
XMMS applet for WindowMaker.

%description wm -l pl.UTF-8
Aplet XMMS dla WindowMakera.

%package skins
Summary:	XMMS - Skins
Summary(pl.UTF-8):	XMMS - Skórki
Group:		X11/Applications/Sound
Requires:	%{name} >= %{epoch}:%{version}-%{release}
Requires:	unzip

%description skins
Additional skins for XMMS.

%description skins -l pl.UTF-8
Dodatkowe 'skórki' dla XMMS-a.

%package libs
Summary:	XMMS library
Summary(pl.UTF-8):	Biblioteka XMMS
Group:		X11/Applications/Sound

%description libs
XMMS library.

%description libs -l pl.UTF-8
Biblioteka XMMS.

%package devel
Summary:	XMMS - libraries and header files
Summary(es.UTF-8):	Bibliotecas y archivos de inclusión, necesarios para compilar plugins de XMMS
Summary(ja.UTF-8):	XMMS - 開発用ファイル
Summary(ko.UTF-8):	XMMS - 라이브러리와 헤더 파일들
Summary(pl.UTF-8):	XMMS - biblioteki i pliki nagłówkowe
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão necessários para se compilar plugins do XMMS
Summary(ru.UTF-8):	.h-файлы для XMMS
Summary(uk.UTF-8):	.h-файли для XMMS
Summary(zh_CN.UTF-8):	XMMS - 开发库
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	gtk+-devel

%description devel
Libraries and header files required for compiling XMMS plugins.

%description devel -l es.UTF-8
Bibliotecas y archivos de inclusión, necesarios para compilar plugins
de XMMS.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe wymagane do budowania wtyczek dla
XMMS-a.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão necessários para se compilar
plugins do XMMS.

%description devel -l ru.UTF-8
.h-файлы для построения подключаемых модулей для XMMS.

%description devel -l uk.UTF-8
.h-файли для побудови під'єднуваних модулів для XMMS.

%package static
Summary:	XMMS - static libraries
Summary(es.UTF-8):	Static libraries for XMMS development
Summary(pl.UTF-8):	XMMS - biblioteki statyczne
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com XMMS
Summary(ru.UTF-8):	Статические библиотеки для XMMS
Summary(uk.UTF-8):	Статичні бібліотеки для XMMS
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libraries required for compiling XMMS plugins.

%description static -l es.UTF-8
Static libraries for XMMS development.

%description static -l pl.UTF-8
Biblioteki statyczne XMMS-a.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com o XMMS.

%description static -l ru.UTF-8
Статические библиотеки для построения подключаемых модулей для XMMS.

%description static -l uk.UTF-8
Статичні бібліотеки для побудови під'єднуваних модулів для XMMS.

%package gnome-mime-info
Summary:	MIME functions for GNOME
Summary(pl.UTF-8):	Funkcje MIME dla GNOME
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gnome-mime-data

%description gnome-mime-info
MIME functions for GNOME.

%description gnome-mime-info -l pl.UTF-8
Funkcje MIME dla GNOME.

%package input-mikmod
Summary:	XMMS - Input plugin to play MODs
Summary(es.UTF-8):	Login de entrada para que XMMS alcance MODs (.MOD,.XM,.S3M, etc)
Summary(ja.UTF-8):	XMMS - MODsを再生するための入力プラグイン
Summary(pl.UTF-8):	XMMS - wtyczka do odtwarzania MODów
Summary(pt_BR.UTF-8):	Plugin de entrada para o XMMS tocar MODs (.MOD,.XM,.S3M, etc)
Summary(zh_CN.UTF-8):	XMMS - 播放 M0Ds 文件的输入插件
Group:		X11/Applications/Sound
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	libmikmod >= 3.1.7
Obsoletes:	xmms-input-modplug
Obsoletes:	xmms-mikmod

%description input-mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc). Be aware that
this plugin sucks (possibly due to quality of libmikmod) - it is
unable to play correctly a lot of modules. Use xmms-input-modplug
instaed.

%description input-mikmod -l es.UTF-8
Login de entrada para que XMMS alcance MODs (.MOD,.XM,.S3M, etc).

%description input-mikmod -l pl.UTF-8
Wtyczka dla XMMS-a do odtwarzania MODów (.MOD,.XM,.S3M, etc). Bądź
świadom, że ta wtyczka jest bardzo słaba (być może z powodu jakości
libmikmod) - nie potrafi odtworzyć poprawnie wielu modułów. Zainstaluj
lepiej xmms-input-modplug.

%description input-mikmod -l pt_BR.UTF-8
Plugin de entrada para o XMMS tocar MODs (.MOD,.XM,.S3M, etc).

%package input-tonegen
Summary:	XMMS - Input plugin to generate sound of given frequency
Summary(pl.UTF-8):	XMMS - wtyczka generująca dźwięk o zadanej częstotliwości
Group:		X11/Applications/Sound
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	xmms-tonegen

%description input-tonegen
Input plugin for XMMS to generate sound of given frequency.

%description input-tonegen -l pl.UTF-8
Wtyczka dla XMMS-a generująca dźwięk o zadanej częstotliwości.

%package input-vorbis
Summary:	XMMS - Ogg Vorbis input plugin
Summary(ja.UTF-8):	XMMS - Oggsを再生するための入力プラグイン
Summary(pl.UTF-8):	XMMS - wtyczka do odtwarzania plików Ogg Vorbis
Summary(zh_CN.UTF-8):	XMMS - 播放 0GGs 编码文件的输入插件
Group:		X11/Applications/Sound
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description input-vorbis
Ogg Vorbis input plugin for XMMS.

%description input-vorbis -l pl.UTF-8
Wtyczka do odtwarzania plików w formacie Ogg Vorbis.

%package input-cdaudio
Summary:	XMMS - cdaudio input plugin
Summary(pl.UTF-8):	XMMS - wtyczka do odtwarzania plyt CD-audio
Group:		X11/Applications/Sound
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description input-cdaudio
CD audio input plugin for XMMS.

%description input-cdaudio -l pl.UTF-8
Wtyczka do odtwarzania płyt CD-audio.

%package input-mpg123
Summary:	XMMS - mpg123 input plugin
Summary(pl.UTF-8):	XMMS - wtyczka do odtwarzania plikow MP3
Group:		X11/Applications/Sound
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description input-mpg123
mpg123 input plugin for XMMS.

%description input-mpg123 -l pl.UTF-8
Wtyczka dla XMMS-a do obsługi mpg123.

%package input-wav
Summary:	XMMS - WAV input plugin
Summary(pl.UTF-8):	XMMS - wtyczka do odtwarzania plików WAV
Group:		X11/Applications/Sound
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description input-wav
WAV input plugin for XMMS.

%description input-wav -l pl.UTF-8
Wtyczka dla XMMS-a do obsługi plików WAV.

%package output-OSS
Summary:	XMMS - OSS output plugin
Summary(pl.UTF-8):	XMMS - plugin obsługi sterowników OSS
Group:		X11/Applications/Sound
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xmms-output-plugin

%description output-OSS
OSS output plugin for XMMS.

%description output-OSS -l pl.UTF-8
Obsługa sterowników OSS dla XMMS-a.

%package output-ALSA
Summary:	XMMS - ALSA output plugin
Summary(pl.UTF-8):	XMMS - plugin obsługi sterowników Alsa
Group:		X11/Applications/Sound
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xmms-output-plugin
Obsoletes:	xmms-output-aalsa
Obsoletes:	xmms-output-alsa

%description output-ALSA
ALSA output plugin for XMMS.

%description output-ALSA -l pl.UTF-8
Obsługa sterowników ALSA dla XMMS-a.

%package output-esd
Summary:	XMMS - Output plugin for use with the esound package
Summary(es.UTF-8):	Plugin de salida para XMMS para uso con el paquete eSound
Summary(ja.UTF-8):	XMMS - esoundを利用する出力プラグイン
Summary(pl.UTF-8):	XMMS - wtyczka umożliwiająca korzystanie z esound
Summary(pt_BR.UTF-8):	Plugin de saida para o XMMS para uso com o pacote eSound
Summary(zh_CN.UTF-8):	XMMS - 与 esound 软件包一起使用的输出插件
Group:		X11/Applications/Sound
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	esound >= 0.2.8
Provides:	xmms-output-plugin
Obsoletes:	xmms-esd

%description output-esd
Output plugin for XMMS for use with the esound package.

%description output-esd -l es.UTF-8
Plugin de salida para XMMS para uso con el paquete eSound.

%description output-esd -l pl.UTF-8
Wtyczka dla XMMS-a umożliwiająca wykorzystanie esound przy odtwarzaniu
dźwięków.

%description output-esd -l pt_BR.UTF-8
Plugin de saída para o XMMS trabalhar com o esd.

%package output-disk
Summary:	XMMS - disk-writer output plugin
Summary(pl.UTF-8):	XMMS - wtyczka do zapisywania danych na dysk
Group:		X11/Applications/Sound
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	xmms-output-plugin

%description output-disk
disk-wirter output plugin for XMMS.

%description output-disk -l pl.UTF-8
Wtyczka dla XMMS-a zapisująca dane wyjściowe na dysk.

%package visualization-GL
Summary:	XMMS - Visualization plugins that use the OenGL library
Summary(ja.UTF-8):	XMMS - OpenGLを利用したグラフィカルな視覚化プラグイン
Summary(pl.UTF-8):	XMMS - wtyczki do wizualizacji z użyciem OpenGL
Summary(ru.UTF-8):	XMMS - подключаемые модули визуализации, использующие библиотеку OenGL
Summary(uk.UTF-8):	XMMS - під'єднувані модулі візуалізації, які використовують бібліотеку OpenGL
Summary(zh_CN.UTF-8):	XMMS - 可视化插件
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	xmms-mesa

%description visualization-GL
XMMS - Visualization plugins that use the OpenGL library.

%description visualization-GL -l pl.UTF-8
Wtyczki graficzne wykorzystujące bibliotekę OpenGL.

%description visualization-GL -l ru.UTF-8
XMMS - подключаемые модули визуализации, использующие библиотеку
OpenGL.

%description visualization-GL -l uk.UTF-8
XMMS - під'єднувані модулі візуалізації, які використовують бібліотеку
OpenGL.

%prep
%setup -q -a1 -a2
%patch0 -p1
%patch1 -p1

mv -f po/{no,nb}.po
%{__perl} -pi -e 's/ no / nb /' po/LINGUAS
# allow (re)building, incl. nb.gmo
rm -f po/stamp-po

install -d m4
# get only XMMS_* macros
head -n60 libxmms/acinclude.m4 > m4/xmms-macros.m4

%build
# kill old libtool.m4 copy
rm -f acinclude.m4
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

cd libxmms
# kill old libtool.m4 copy
rm -f acinclude.m4
%{__aclocal} -I ../m4
%{__autoconf}
%{__autoheader}
# don't use --force here
automake -a -c --foreign
cd ..

%configure \
	--disable-vorbistest \
%ifarch %{ix86}
	--enable-simd
%endif

%{__make} \
	AS="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/{mime-info,xmms/Skins}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_desktopdir}
install icons/*    $RPM_BUILD_ROOT%{_datadir}/xmms
install Skins/*    $RPM_BUILD_ROOT%{_datadir}/xmms/Skins
install %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/mime-info/xmms.keys
install %{SOURCE6} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -f $RPM_BUILD_ROOT%{_libdir}/xmms/*/*.la

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
        mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README FAQ
%attr(755,root,root) %{_bindir}/xmms
%dir %{_libdir}/xmms/Effect
%attr(755,root,root) %{_libdir}/xmms/Effect/*.so
%dir %{_libdir}/xmms/General
%attr(755,root,root) %{_libdir}/xmms/General/*.so
%dir %{_libdir}/xmms/Output
%dir %{_libdir}/xmms/Visualization
%attr(755,root,root) %{_libdir}/xmms/Visualization/libbscope.so
%attr(755,root,root) %{_libdir}/xmms/Visualization/libsanalyzer.so
%dir %{_datadir}/xmms
%dir %{_datadir}/xmms/Skins
%{_datadir}/xmms/*gif
%{_datadir}/xmms/x*xpm
%{_desktopdir}/xmms.desktop
%{_pixmapsdir}/xmms.png
%{_mandir}/man1/xmms.1*

%files wm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wmxmms
%{_datadir}/xmms/wmxmms*.xpm
%{_desktopdir}/wmxmms.desktop
%{_mandir}/man1/wmxmms.1*

%files skins
%defattr(644,root,root,755)
%{_datadir}/xmms/Skins/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmms.so.1
%dir %{_libdir}/xmms
%dir %{_libdir}/xmms/Input

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmms-config
%attr(755,root,root) %{_libdir}/libxmms.so
%{_libdir}/libxmms.la
%{_includedir}/xmms
%{_aclocaldir}/xmms.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libxmms.a

%files gnome-mime-info
%defattr(644,root,root,755)
%{_datadir}/mime-info/xmms.keys

%files input-mikmod
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Input/libmikmod.so

%files input-tonegen
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Input/libtonegen.so

%files input-cdaudio
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Input/libcdaudio.so

%files input-vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Input/libvorbis.so

%files input-mpg123
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Input/libmpg123.so

%files input-wav
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Input/libwav.so

%files output-OSS
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Output/libOSS.so

%files output-ALSA
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Output/libALSA.so

%files output-esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Output/libesdout.so

%files output-disk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Output/libdisk_writer.so

%files visualization-GL
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xmms/Visualization/libogl_spectrum.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms.spec,v $
Revision 1.156  2008/11/10 11:07:32  megabajt
- release 3

Revision 1.155  2008/01/23 20:03:16  qboosh
- dropped outdated mp3license file from doc
  (no longer valid; see http://www.mp3licensing.com/ instead)

Revision 1.154  2007-12-08 12:21:21  blues
- rel.2 - don't print silly banners, use suggests instead.

Revision 1.153  2007-11-17 21:43:08  qboosh
- updated warn_about_unplayable patch (fixes false warning)
- dropped unmaintained gtk2 patch and bcond
- cleanup, don't package .la files

Revision 1.152  2007-11-17 11:35:36  twittner
- updated to 1.2.11
- removed xmms-alsa-mono-vol-adjust.patch and xmms-am18.patch (upstream)
- updated xmms-gcc4.patch

Revision 1.151  2007-11-10 11:40:49  megabajt
- sr@Latn -> sr@latin; release 8

Revision 1.150  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.149  2007/02/23 19:47:14  qrczak
- Reverted libSM change, not needed with correctly configured system.

Revision 1.148  2007/02/23 18:28:19  qrczak
- xmms-libSM.patch: link libICE when testing whether libSM is available
- Release 7

Revision 1.147  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.146  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.145  2006/08/26 20:43:25  qboosh
- modular xorg deps

Revision 1.144  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.143  2005/11/17 00:32:26  pluto
- release 6.

Revision 1.142  2005/10/12 15:43:31  glen
- xmms-config belongs to -devel

Revision 1.141  2005/05/03 20:23:45  pluto
- release 5 for Th.

Revision 1.140  2005/04/15 06:09:27  darekr
- BR: perl-base

Revision 1.139  2005/03/22 12:29:08  pluto
- fix software volume control for mono files.
- release 4.

Revision 1.138  2005/03/17 17:56:55  pluto
- gcc fixes updated.

Revision 1.137  2005/03/17 15:50:08  havner
- rel 3 for rebuild

Revision 1.136  2004/11/27 18:52:10  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.135  2004/10/30 12:17:47  paladine
- spaces->tabs

Revision 1.134  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.133  2004/10/28 11:08:14  paladine
- "WAV" unification

Revision 1.132  2004/10/28 10:49:17  paladine
- "MP3" unification

Revision 1.131  2004/09/13 22:06:11  grzegol
- run /usr/bin/update-desktop-database in %post and %postun

Revision 1.130  2004/05/08 09:49:09  pluto
- gcc 3.4 fixes.

Revision 1.129  2004/04/14 17:42:39  qboosh
- -gnome-mime-info R: base, -ALSA O: xmms-output-aalsa, strict deps

Revision 1.128  2004/04/14 12:52:18  gotar
- R: xmms-libs instead of xmms for input subpackages (can be used with
  mplayer too) except tonegen which is output in fact,
- moved appropriate directories to libs subpackage, release 2.

Revision 1.127  2004/02/24 02:31:12  freetz
- 1.2.10 - bugfix release - STBR

Revision 1.126  2004/02/10 09:25:29  qboosh
- release 1

Revision 1.125  2004/02/07 01:21:17  qboosh
- updated .desktop, rename locale dir (no->nb)
- removed obsolete "fakegnome" workaround

Revision 1.124  2004/02/06 19:21:08  freetz
- 1.2.9, merged from DEVEL

Revision 1.123.2.3  2004/02/06 19:11:27  freetz
- removed obsolete gnome dir

Revision 1.123.2.2  2004/01/29 18:02:01  freetz
- up to 1.2.9
- removed gnome1 stuff (dropped from xmms)
- added gnome-mime-info for gnome1 and gnome
- %files and BRs sorted
  note: this will be moved to HEAD shortly after some testing

Revision 1.123.2.1  2004/01/17 16:58:10  freetz
- up to 1.2.9-pre1
- ogg/vorbis patch already in sources
- %files update

Revision 1.123  2003/12/21 17:46:42  qboosh
- ac/am/lt cleanups, use system-wide m4 macros
  (obsoletes amfix,configure patches and some workarounds)
- added am18 patch (xmms.m4 quotation fix)
- release 2

Revision 1.122  2003/12/07 13:06:36  qboosh
- note about gtk2 patch deprecation/incompleteness

Revision 1.121  2003/11/29 22:07:38  mmazur
- rel 1

Revision 1.120  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.119  2003/10/18 10:39:41  tiwek
- don't build alsa output on sparc

Revision 1.118  2003/10/13 09:39:19  qboosh
- ldconfig calls moved to -libs

Revision 1.117  2003/10/05 22:28:57  qboosh
- substitute charset information when converting *.po

Revision 1.116  2003/09/10 21:16:51  adgor
- Desktop files moved to %{_desktopdir}

Revision 1.115  2003/09/08 11:12:14  krzak
- cosmetics

Revision 1.114  2003/09/08 01:36:19  krzak
- up to 1.2.8
- remove xmms-input-idcin subpackage
- add xmms-output-ALSA subpackage
- update patches
- BR: alsa-lib-devel >= 0.9.5

Revision 1.113  2003/09/05 08:42:21  qboosh
- changed Source0 URL to ftp - http is not browsable (403)

Revision 1.112  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.111  2003/08/11 13:48:19  grzegol
- reverted last changes (made by mistake)

Revision 1.109  2003/08/08 03:29:23  aredridel
- added missing backslash

Revision 1.108  2003/08/08 00:05:39  blues
- release 16 - xmms patch is now turned on

Revision 1.107  2003/08/07 19:24:23  blues
- release 15

Revision 1.106  2003/08/07 19:22:22  blues
- sync with RA-branch

Revision 1.105  2003/08/06 15:07:07  blues
- typo

Revision 1.104  2003/08/06 13:47:45  blues
- mmx patch added - not tested yet!!!

Revision 1.103  2003/07/25 11:20:03  pascalek
- Release 13
- added simple gtk2 patch

Revision 1.102  2003/07/12 20:58:37  radek
- release 12: commented out the ass patch, it's broken

Revision 1.101  2003/06/24 17:12:03  jareq
- fixed epoch:version issue

Revision 1.100  2003/05/25 11:01:49  malekith
- massive attack, adding Source-md5

Revision 1.99  2003/05/25 06:28:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.98  2003/03/18 10:05:27  leafnode
- added ass patch (Adaptive Song Selection)
- rel 11

Revision 1.97  2003/02/22 11:54:47  misiek
- rebuild

Revision 1.96  2003/02/03 15:24:14  kloczek
- make gnme applets path %{_prefix} independent.

Revision 1.95  2003/02/02 22:14:50  kloczek
- merge czech patch from MDK and translations from MIZI.

Revision 1.94  2003/01/31 21:23:22  grzegol
- added configure patch (added AC_CONFIG_AUX_DIR(.) to libxmms/configure.in, so
  ltmain.sh is installed correctly)
- removed duplicated %{__libtoolize}
- set $$SED variable (libtool doesn't work without this)
- rel. 9

Revision 1.93  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.92  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.91  2002/12/02 11:06:29  ankry
- massive cleaning

Revision 1.90  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.89  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.88  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.87  2002/08/24 19:26:12  kloczek
- release 8.

Revision 1.86  2002/08/24 19:22:44  wolf
- move xmms-config to libs package

Revision 1.85  2002/08/24 11:01:34  kloczek
- License: GPL v2.

Revision 1.84  2002/08/24 00:24:44  ankry
- typo, release 7

Revision 1.83  2002/08/19 00:48:29  wolf
- move libs to separate package
- rel 6

Revision 1.82  2002/08/18 09:41:37  kloczek
- merge translations from TurboLinux.

Revision 1.81  2002/08/17 22:19:30  mkochano
- Release 5.
- Added patch so users will know that they lack input plugin.
- Added info in %post about need for input plugins.

Revision 1.80  2002/07/21 19:39:21  kloczek
- itry add --disable-vorbistest to autoconf parameters (seems test for vorbis is broken
  or something other because sigsegv during run test program included in vorbis.m4).

Revision 1.79  2002/07/21 18:46:12  kloczek
- added libogg_libvorbis_1.0_ac_fix patch for detect new lib{vorbis,ogg}.

Revision 1.78  2002/07/21 18:07:21  kloczek
- release 4: rebuild against final libvorbis 1.0.

Revision 1.77  2002/07/11 00:59:51  blues
- release 3
- xmms-config is back to main package - required by some visualization
  plugins (pitty)
- STBR

Revision 1.76  2002/06/10 19:57:18  qboosh
- added fix for --without-gnome to amfix patch
- added _without_gnome bcond
- new %doc

Revision 1.75  2002/05/21 23:15:07  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.74  2002/04/08 18:07:44  kloczek
- release 2: merge translations from KSI.

Revision 1.73  2002/04/08 11:25:19  wolf
- moved skins dir to main package

Revision 1.72  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.71  2002/03/05 02:42:10  kloczek
- updated to 1.2.7.

Revision 1.70  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.69  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.68  2002/02/21 13:35:12  zytek
- release 6; STBR

Revision 1.67  2002/02/20 18:11:41  misiek
- just converted to png

Revision 1.66  2002/02/20 18:11:09  misiek
- just converted to png

Revision 1.65  2002/02/20 17:07:09  zytek
- added new, very cool icon, release 5

Revision 1.64  2002/01/18 02:15:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.63  2002/01/17 22:31:01  misiek
- fixed vorbis plugin (xmms-amfix.patch); release 4

Revision 1.62  2002/01/16 13:30:49  mkochano
- Release 3.
- Removed "small" and "workaround" patches as suggested by Thomas
  Nilsson <thomas@xmms.org>.

Revision 1.61  2002/01/11 12:59:29  kloczek
- release 2.

Revision 1.60  2002/01/11 11:07:09  misiek
- fix m4

Revision 1.59  2002/01/11 08:20:55  kloczek
- cosmetics: reorder subpackages in spec.

Revision 1.58  2002/01/11 02:00:28  mkochano
- Added missing manuals.
- WM applet moved from amusements to multimedia menu (in which gnome
  applet already is present).
- Changed order of subpackages in spec: first "normal", then plugins.
  They were mixed.
  NOTE: Didn't try to rebuild package (it's 3am here), but hope it's OK.

Revision 1.57  2002/01/10 09:26:46  kloczek
- start update to 1.2.6 (new stable version with many changes and fixes),
- removed obsoleted patches,
- fixed %define for %{mandor} so man pages will be now installed in proper
  path.
  NOTE: builds correctly but %files need update.

Revision 1.56  2002/01/02 11:58:24  kloczek
- release 4.

Revision 1.55  2001/12/28 17:15:58  gotar
- changes in descriptions.

Revision 1.54  2001/11/12 20:48:41  kloczek
- release 3.

Revision 1.53  2001/11/11 13:39:24  misiek
- Requires: xmms-output-plugin

Revision 1.52  2001/11/06 08:30:10  kloczek
- release 6.

Revision 1.51  2001/11/04 22:25:48  gotar
- added Requires: unzip for xmms-skins subpackage,
- cosmetics.

Revision 1.50  2001/10/19 22:44:26  kloczek
- merge CNV translations.

Revision 1.49  2001/10/19 13:55:13  qboosh
- release 5: added amfix for automake 1.5

Revision 1.48  2001/08/25 11:51:56  filon
- in subpackage skins changed Req: %{name} = %{version} to >=

Revision 1.47  2001/07/17 14:14:40  kloczek
- release 4: "move up" Requires: OpenGL rule from skins to visualization-GL
  subpackage.

Revision 1.46  2001/07/16 18:23:55  kloczek
- release 3,
- added application/x-ogg to MimeTypes in xmms desktop file,
- better opt-flags patch: do not override CFLAGS in autoconf script.

Revision 1.45  2001/06/20 11:03:17  misiek
- version 1.2.5
- removed obsolete patches
- added ogg vorbis plugin subpackage

Revision 1.44  2001/04/08 16:11:33  blues
- moves WMxmms desktop-file to Amusement

Revision 1.43  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.42  2001/04/02 23:11:32  kloczek
- release 10: merged buch patches from rawhide.

Revision 1.41  2001/01/19 18:19:29  kloczek
- release 4,
- added automake, autoconf to BuildRequires,
- fixes which allow build xmms also in automake 1.4b environment.

Revision 1.40  2001/01/13 17:50:14  mkochano
- Some note about quality of mikmod plugin added to description.

Revision 1.39  2001/01/13 17:40:30  mkochano
- Release 3.
- xmms-input-mikmod Obsoletes: xmms-input-modplug.
- Cleaned mess with plugin directories ownership: "plugins/{Input,Output}" and
  others are now owned by "xmms" package (%dir), not by every single plugin.

Revision 1.38  2000/12/06 20:08:36  kloczek
- release 2,
- added Obsoletes rules for xmms-mikmod (in xmms-input-mikmod), xmms-tonegen
  (in xmms-input-tonegen) and xmms-esd (in xmms-output-esd).

Revision 1.37  2000/11/28 18:26:12  kloczek
- updated to 1.2.4,
- added to Obsoletes xmms-mesa and renamed visualisation-mesa to
  visualisation-GL,
- removed obsoleted audio patch.

Revision 1.36  2000/11/23 18:14:49  mkochano
- Release 6.
- Some subpackages renamed:
  * tonegen -> input-tonegen
  * mikmod -> input-mikmod
  * esd -> output-esd
  * mesa -> visualization-mesa

Revision 1.35  2000/11/19 00:51:30  kloczek
- release 5: added "Requires: gtk+-devel" for devel subpackage.

Revision 1.34  2000/10/30 16:40:52  pascalek
- Release 4
- vorbis plugin removed to xmms-input-vorbis.spec
- input/output plugins are now stand alone packages

Revision 1.33  2000/10/29 16:00:03  pascalek
- vorbis plugin for *.ogg files added

Revision 1.32  2000/10/27 03:14:00  kloczek
- release 2: use new rpm automation and rebuild against gnome-libs linked
  with db3.

Revision 1.31  2000/09/20 04:26:12  kloczek
- updated to 1.2.3,
- simplifications in %build,
- spec adapterized.

Revision 1.30  2000/08/21 14:18:57  mkochano
- Release 3.
- Added patch allowing plugins to use separate *.po files.

Revision 1.29  2000/08/05 16:39:48  mkochano
- Added use of %find_lang macro.
- Added missing translation files.
- Release 2.

Revision 1.28  2000/07/30 19:51:29  kloczek
- spec adapterized and fiew other cosmetics.

Revision 1.27  2000/07/12 14:12:51  mkochano
- Updated to 1.2.2.
- Commented "Serial: 2". What is it for??
- Updated source URI.
- Removed xmms-gtk-locale.patch (it has been merged with sources).
- Updated xmms-audio.patch.
- Added xmms-opt-flags.patch (removes hardcoded -m486 on ix86).
- Added subpackage tonegen (new input plugin).
- Added gettextize --copy --force to %build (Makefile.in.in provided with
  sources doesn't use DESTDIR in install).
- Removed skins from main package (they are already in 'skins' subpackage).

Revision 1.26  2000/06/09 07:55:16  kloczek
- more %{__make} macros.

Revision 1.25  2000/06/09 07:24:22  kloczek
- added using %{__make} macro.

Revision 1.24  2000/06/06 21:45:07  bonkey
- xmms-mesa requires opengl, not mesa

Revision 1.23  2000/06/06 21:34:35  bonkey
- buildreq opengl in spite of mesa

Revision 1.22  2000/06/01 02:11:20  kloczek
- release 6,
- merged rawhide patches.

Revision 1.21  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.20  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.19  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:55:25  baggins
- translated kloczkish into english

Revision 1.17  2000/02/08 20:04:47  pius
- added %{_bindir}/xmms-config to devel subpackage
- release++

Revision 1.16  2000/02/01 20:09:01  kloczek
- updated to 1.0.1.

Revision 1.15  2000/01/30 20:53:19  kloczek
- updated to 1.0.0,
- added -L/usr/X11R6/lib to LDFLAGs in %build (without this libGL is nit
  detected),
- updated Source url,
- removed patches merged in new version xmms,
- added file fith aclocal xmms to devel.

Revision 1.14  2000/01/19 21:34:55  kloczek
- release 5,
- build agains Mesa 3.1.

Revision 1.13  1999/11/27 03:03:56  pius
- fixed pl description for mesa subpackage

Revision 1.12  1999/10/28 22:11:22  pius
- added patch for full gtk+ locale support

Revision 1.11  1999/10/20 19:51:57  pius
- fixed location of desktop files

Revision 1.10  1999/10/15 14:40:34  pius
- added FAQ to %doc
- release 4

Revision 1.9  1999/10/15 11:37:42  pius
- added skins subpackage
- check for skin path to avoid duplicate entries (based on mandrake)
- added xmms mime-info for gnome

Revision 1.8  1999/10/14 18:44:32  pius
- added wmxmms.desktop file

Revision 1.7  1999/10/14 16:11:05  pius
- updated to latest 0.9.5.1 cvs version (19991011)
- added xmms-audio.patch (from rawhide)
- added more xmms icons
- Obsoletes: x11amp
- added more BuildRequires rules
- added pl translation
- modified %build to allow build with OpenGL support
- added mesa subpackage
- more fixes in %files
- added stripping shared libraries
- other minor changes

Revision 1.6  1999/09/04 08:48:06  wiget
- /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/08/31 22:45:07  kloczek
- Group changed to X11/Applications/Multimedia and in devel and static to
  X11/Development/Libraries,
- DESTDIR style install,
- added desktop file and two patches (from rawhide),
- added more rpm macros and %attr in %files,
- removed SONAME symlinks.

Revision 1.4  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.3  1999/07/12 23:06:28  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Apr 09 1999 Lyle Kempler <kempler@utdallas.edu>
- initial version
